# suppose your GPS NMEA comes as 'data'
latitude = float(input("Donner la latitude en décimale : "))
longitude = float(input("Donner la longitude en décimale : "))
data= "$GNGGA,184217.000," + str(latitude) + ",N,"+ str(longitude) + ",E,1,14,0.83,249.0,M,48.0,M,,*74"
print (data)
for line in data.split('\n') :
    if line.startswith( '$GPGGA' ) :
        print ("c'est une donnée NMEA")

list = data.split(',')
print("Donnée : ",list[0])
print("Heure : ",list[1])
print("Latitude : ",list[2],list[3])
print("Longitude : ",list[4],list[5])
print("Position GPS : ",list[6])
print("Nbr de satellit : ",list[7])
print("Précision en m : ",list[8])
print("Altitude en m : ",list[9])

# affichage dans GooglMap

import webbrowser
zoom = 16
webbrowser.open('https://www.openstreetmap.org/#map='+str(zoom)+'/'+str(latitude) +'/'+str(longitude))

#Affichage dans une fenêtre

from tkinter import *  # importation d'une bibliothèque entre autres créer des fenêtres

fenetre = Tk()  # déclaration de la fenêtre
fenetre.wm_attributes("-topmost", 1) # fenêtre toujours au dessus
# liste
liste = Listbox(fenetre)
liste.insert(1,"Donné : " + list[0])
liste.insert(2,"Heure : " + list[1])
liste.insert(3, "Latitude : " + list[2] + list[3])
liste.insert(4, "Position GPS : " + list[6])
liste.insert(5, "Nbr de satellites : " + list[7])
liste.insert(6,"Précision en m : " + list[8])
liste.insert(7,"Altitude en m : " + list[9])
liste.insert(8,"")
liste.insert(9,"Fermer cette fenêtre")
liste.pack()

fenetre['bg']='white'
fenetre.mainloop()
exit

# Remarque: toujours fermer la petite fenêtre des données avant de relancer le programme